#include <bits/stdc++.h>

using namespace std;

int a;
int n, k;

 map<int, int > mapa;




int main(){
	
	ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    
   int br=0;
    
    
    cin>>n>>k;
    
    for(int i=0; i<n; i++){
    	cin>>a;
    	mapa[a]++;
    	if(mapa[a]==k)
    	br++;
    	
	}
	cout<<br<<endl;
	for(int i=-n; i<=n; i++){
		if(mapa[i]>=k)
		cout<<i<<" ";
	}
	

	
	
	
	
	
}